### Hierarchy

- ViewServicePluginAPI

## Index

### Methods

- _activeViewConfigs
- _onSync
- _registeredUIViews
- _rootViewContext
- _viewConfigFactory

## Methods

- _activeViewConfigs(): ViewConfig[]

- #### Returns ViewConfig[]

  - Defined in view/view.ts:19

- _onSync(listener: ViewSyncListener): Function

- #### Parameters

  - ##### listener ViewSyncListener

  #### Returns Function

  - Defined in view/view.ts:20

- _registeredUIViews(): ActiveUIView[]

- #### Returns ActiveUIView[]

  - Defined in view/view.ts:18

- _rootViewContext(context?: ViewContext): ViewContext

- #### Parameters

  - ##### context: Optional ViewContext

  #### Returns ViewContext

  - Defined in view/view.ts:16

- _viewConfigFactory(viewType: string, factory: ViewConfigFactory): any

- #### Parameters

  - ##### viewType string

  - ##### factory ViewConfigFactory

  #### Returns any

  - Defined in view/view.ts:17

Generated using TypeDoc